SHA512SUM(1)

NAZWA
sha512sum - oblicza i sprawdza skrót wiadomości SHA512

SKŁADNIA
sha512sum [OPCJA]... [PLIK]...

OPIS

Wypisuje lub sprawdza sumy kontrolne SHA512 (512-bitowe).

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

-b, --binary
    czyta w trybie binarnym

-c, --check
    read checksums from the FILEs and check them

--tag
    tworzy sumę kontrolną w stylu BSD

-t, --text
    czyta w trybie tekstowym (domyślnie)

-z, --zero
    end each output line with NUL, not newline, and disable file name escaping

  Następujących pięć opcji jest przydatnych tylko przy sprawdzaniu sum kontrolnych:

--ignore-missing
    nie zwraca błędu, ani nie informuje przy brakujących plikach

--quiet
    nie wyświetla OK po każdym pozytywnie zweryfikowanym pliku

--status
    nie wyświetla niczego, wynik można poznać za pomocą kodu wyjścia

--strict
    wychodzi z niezerowym kodem zakończenia przy niepoprawnie sformatowanych wierszach sum kontrolnych

-w, --warn
    ostrzega o niepoprawnie sformatowanych wierszach sum kontrolnych

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

The sums are computed as described in FIPS-180-2. When checking, the input should be a former output of this program. The default mode is to print a line with: checksum, a space, a character indicating input mode ('*' for binary, ' ' for text or where binary is insignificant), and name for each FILE.

Note: There is no difference between binary mode and text mode on GNU systems.

AUTOR
Napisane przez Ulricha Dreppera, Scotta Millera i Davida Madore.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2023 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
cksum(1)

Pełna dokumentacja: <https://www.gnu.org/software/coreutils/sha512sum>
lub lokalnie, za pomocą info '(coreutils) sha2 utilities'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.